]> git.lyx.org Git - lyx.git/blobdiff - lib/scripts/convertDefault.sh
clean up french language handling
[lyx.git] / lib / scripts / convertDefault.sh
index 25c083d75584a9c928ce10ac9b5d933e6380fd3e..9c381f8342fa24710ed6b4e23cba8cd529a1fd46 100644 (file)
@@ -1,23 +1,22 @@
 #! /bin/sh
+
+# file convertDefault.sh
+# This file is part of LyX, the document processor.
+# Licence details can be found in the file COPYING.
+
+# author Herbert Voß
+
+# Full author contact details are available in file CREDITS.
+
 # The default converter if no other has been defined by the user from the
 # Conversion->Converter tab of the Preferences dialog.
-#
+
 # The user can also redefine this default converter, placing their
 # replacement in ~/.lyx/scripts
-#
-# converts an image from $1 to $2 format
-convert -depth 8 $1 $2
-if [ $? -ne 0 ]; then
-    exit $?
-fi
-
-# It appears that convert succeeded, but we know better than to trust it ;-)
-# convert is passed strings in the form "FMT:FILENAME", so use the ':' to
-# delimit the two parts.
-FILE=`echo $2 | cut -d ':' -f 2`
 
-# FSTATUS == 0 is the file exists and == 1 if it does not.
-FSTATUS=0
-test -f $FILE || FSTATUS=1
-
-exit $FSTATUS
+# converts an image from $1 to $2 format
+convert -depth 8 "$1" "$2" || {
+       echo "$0 ERROR" >&2
+       echo "Execution of \"convert\" failed." >&2
+       exit 1
+}